Package org.lwjgl.opengl

# Class NVHalfFloat

java.lang.Object
org.lwjgl.opengl.NVHalfFloat

public final class NVHalfFloat extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_HALF_FLOAT_NV`
Accepted by the <type> argument of VertexPointer, NormalPointer, ColorPointer, TexCoordPointer, FogCoordPointerEXT, SecondaryColorPointerEXT, VertexWeightPointerEXT, VertexAttribPointerNV, DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glColor3hNV(short red, short green, short blue)`
`static void`
`glColor4hNV(short red, short green, short blue, short alpha)`
`static void`
`glFogCoordhNV(short fog)`
`static void`
`glMultiTexCoord1hNV(int target, short s)`
`static void`
`glMultiTexCoord2hNV(int target, short s, short t)`
`static void`
`glMultiTexCoord3hNV(int target, short s, short t, short r)`
`static void`
`glMultiTexCoord4hNV(int target, short s, short t, short r, short q)`
`static void`
`glNormal3hNV(short nx, short ny, short nz)`
`static void`
`glSecondaryColor3hNV(short red, short green, short blue)`
`static void`
`glTexCoord1hNV(short s)`
`static void`
`glTexCoord2hNV(short s, short t)`
`static void`
`glTexCoord3hNV(short s, short t, short r)`
`static void`
`glTexCoord4hNV(short s, short t, short r, short q)`
`static void`
`glVertex2hNV(short x, short y)`
`static void`
`glVertex3hNV(short x, short y, short z)`
`static void`
`glVertex4hNV(short x, short y, short z, short w)`
`static void`
`glVertexAttrib1hNV(int index, short x)`
`static void`
`glVertexAttrib2hNV(int index, short x, short y)`
`static void`
`glVertexAttrib3hNV(int index, short x, short y, short z)`
`static void`
`glVertexAttrib4hNV(int index, short x, short y, short z, short w)`
`static void`
`glVertexAttribs1NV(int index, ShortBuffer attribs)`
`static void`
`glVertexAttribs2NV(int index, ShortBuffer attribs)`
`static void`
`glVertexAttribs3NV(int index, ShortBuffer attribs)`
`static void`
`glVertexAttribs4NV(int index, ShortBuffer attribs)`
`static void`
`glVertexWeighthNV(short weight)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_HALF_FLOAT_NV

public static final int GL_HALF_FLOAT_NV
Accepted by the <type> argument of VertexPointer, NormalPointer, ColorPointer, TexCoordPointer, FogCoordPointerEXT, SecondaryColorPointerEXT, VertexWeightPointerEXT, VertexAttribPointerNV, DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:

See Also:
  - Constant Field Values

## Method Details

### glVertex2hNV

public static void glVertex2hNV(short x, short y)

### glVertex3hNV

public static void glVertex3hNV(short x, short y, short z)

### glVertex4hNV

public static void glVertex4hNV(short x, short y, short z, short w)

### glNormal3hNV

public static void glNormal3hNV(short nx, short ny, short nz)

### glColor3hNV

public static void glColor3hNV(short red, short green, short blue)

### glColor4hNV

public static void glColor4hNV(short red, short green, short blue, short alpha)

### glTexCoord1hNV

public static void glTexCoord1hNV(short s)

### glTexCoord2hNV

public static void glTexCoord2hNV(short s, short t)

### glTexCoord3hNV

public static void glTexCoord3hNV(short s, short t, short r)

### glTexCoord4hNV

public static void glTexCoord4hNV(short s, short t, short r, short q)

### glMultiTexCoord1hNV

public static void glMultiTexCoord1hNV(int target, short s)

### glMultiTexCoord2hNV

public static void glMultiTexCoord2hNV(int target, short s, short t)

### glMultiTexCoord3hNV

public static void glMultiTexCoord3hNV(int target, short s, short t, short r)

### glMultiTexCoord4hNV

public static void glMultiTexCoord4hNV(int target, short s, short t, short r, short q)

### glFogCoordhNV

public static void glFogCoordhNV(short fog)

### glSecondaryColor3hNV

public static void glSecondaryColor3hNV(short red, short green, short blue)

### glVertexWeighthNV

public static void glVertexWeighthNV(short weight)

### glVertexAttrib1hNV

public static void glVertexAttrib1hNV(int index, short x)

### glVertexAttrib2hNV

public static void glVertexAttrib2hNV(int index, short x, short y)

### glVertexAttrib3hNV

public static void glVertexAttrib3hNV(int index, short x, short y, short z)

### glVertexAttrib4hNV

public static void glVertexAttrib4hNV(int index, short x, short y, short z, short w)

### glVertexAttribs1NV

public static void glVertexAttribs1NV(int index, ShortBuffer attribs)

### glVertexAttribs2NV

public static void glVertexAttribs2NV(int index, ShortBuffer attribs)

### glVertexAttribs3NV

public static void glVertexAttribs3NV(int index, ShortBuffer attribs)

### glVertexAttribs4NV

public static void glVertexAttribs4NV(int index, ShortBuffer attribs)